## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           jacktrip
Version:        2.0.2
Release:        %autorelease
Summary:        A system for high-quality audio network performance over the Internet

License:        MIT and GPL-3.0-or-later and LGPL-3.0-only
URL:            https://github.com/%{name}/%{name}
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  meson, cmake, gcc-c++
BuildRequires:  python3-pyyaml, python3-jinja2
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(rtaudio)
BuildRequires:  help2man
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Svg)
BuildRequires:  cmake(Qt6WebSockets)
%ifarch aarch64 x86_64
BuildRequires:  cmake(Qt6WebEngineCore)
BuildRequires:  cmake(Qt6WebChannel)
%endif
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
Requires:       hicolor-icon-theme
Obsoletes:      jacktrip-doc < 1.4.0

%description
JackTrip is a Linux and Mac OS X-based system used for multi-machine
network performance over the Internet. It supports any number of
channels (as many as the computer/network can handle) of
bidirectional, high quality, uncompressed audio signal steaming.

%prep
%autosetup -p1

%build
%meson -Dbuildinfo="$(cat /etc/redhat-release)" \
%ifnarch aarch64 x86_64
    -Dnovs=true \
%endif
    -Drtaudio=enabled
%meson_build

%install
%meson_install
desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml

%check
%meson_test

%files
%doc README.md
%license LICENSE.md LICENSES
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/org.jacktrip.JackTrip.desktop
%{_metainfodir}/org.jacktrip.JackTrip.metainfo.xml

%changelog
* Mon Sep 04 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.2-1
- Update to Update 2.0.2

* Thu Aug 31 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.1-1
- Update to Update 2.0.1

* Wed Aug 30 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-4
- Remove unneeded Requires

* Tue Aug 29 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-3
- Update 2.0.0 - Enable Virtual Studio only in WebEngine arches

* Tue Aug 29 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-2
- Update 2.0.0 - Enable Virtual Studio only in WebEngine arches

* Tue Aug 29 2023 Iñaki Úcar <iucar@fedoraproject.org> - 2.0.0-1
- Update 2.0.0

* Tue Aug 15 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.10.1-1
- Update to 1.10.1

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jun 17 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.10.0-1
- Update to 1.10.0

* Sun May 14 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.9.0-1
- Update to 1.9.0

* Mon Apr 10 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.1-3
- Fix SPDX tag

* Sun Apr 09 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.1-2
- Adapt license tag to SPDX

* Wed Apr 05 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.1-1
- Update to v1.8.1

* Tue Mar 21 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.8.0-1
- Update to v1.8.0

* Wed Feb 15 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.7.1-1
- Update to v1.7.1

* Wed Jan 25 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.7.0-1
- Update to v1.7.0

* Wed Jan 25 2023 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.8-3
- Add missing runtime dependencies

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 06 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.8-1
- Update to v1.6.8

* Sun Dec 04 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.7-1
- Update to v1.6.7

* Thu Nov 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.6-1
- Update to v1.6.6

* Mon Sep 19 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.4-1
- Update to v1.6.4

* Wed Aug 24 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.3-1
- Update to v1.6.3

* Mon Aug 22 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.2-1
- Update to v1.6.2

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.1-1
- Update to v1.6.1

* Thu Jun 02 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.6.0-1
- Update to v1.6.0

* Mon Mar 28 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.3-1
- Update to 1.5.3 (#2069182)

* Thu Mar 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.2-1
- Update to v1.5.2

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Jan 17 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.1-1
- Update to v1.5.1

* Mon Jan 03 2022 Iñaki Úcar <iucar@fedoraproject.org> - 1.5.0-1
- Update to v1.5.0

* Mon Dec 20 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.4.3-1
- Update to v1.4.3

* Fri Dec 10 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.4.2-1
- Update to v1.4.2

* Thu Nov 11 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.4.1-1
- Update to v1.4.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Jan 16 2021 Iñaki Úcar <iucar@fedoraproject.org> - 1.3.0-1
- Update to v1.3.0

* Mon Oct 26 2020 Iñaki Úcar <iucar@fedoraproject.org> - 1.2.1-1
- Initial import (#1891022)
